    MODULE PARMEXCH
!>--------------------------------------------------------------------------------------------------
!> MODULE PARMEXCH
!>
!> SUBROUTINE: PARMEXCH - ?????
!> PROGRAMMER: JIM TUCCILLO
!> ORG: ?????
!> DATE: 01-02-??
!>
!> ABSTRACT:
!> IBUFEXCH IS THE SIZE OF THE EXCHANGE BUFFERS USED FOR THE HALO EXCHANGES. 
!> THE CURRENT SIZE SHOULD BE MORE THAN SUFFICIENT FOR THE FORSEEABLE FUTURE.
!>
!> IBUFEXCH WOULD NEED TO BE INCREASED IF YOU EVER RECEIVE AN ERROR FROM THE MPI LIBRARY INDICATING
!> THAT THE RECIEIVE BUFFER IS TOO SMALL. 
!> YOU SHOULD DO A "MAKE CLEAN" IF YOU INCREASE IBUFEXCH.
!>
!> PROGRAM HISTORY LOG:
!> 01-02-??  TUCCILLO - ORIGINAL
!> 18-01-15  LUCCI    - MODERNIZATION OF THE CODE, INCLUDING:
!>                      * F77 TO F90/F95
!>                      * INDENTATION & UNIFORMIZATION CODE
!>                      * REPLACEMENT OF COMMONS BLOCK FOR MODULES
!>                      * DOCUMENTATION WITH DOXYGEN
!>                      * OPENMP FUNCTIONALITY
!>
!> INPUT ARGUMENT LIST:
!> NONE
!>
!> OUTPUT ARGUMENT LIST:
!> NONE
!>
!> INPUT/OUTPUT ARGUMENT LIST:
!> NONE
!>
!> OUTPUT FILES:
!> NONE
!>
!> USE MODULES: F77KINDS
!>
!> DRIVER     : MODULE_EXCH_BUF_INTEGER
!>              MODULE_EXCH_BUF_REAL
!>--------------------------------------------------------------------------------------------------
    USE F77KINDS
!
    IMPLICIT NONE
!
    SAVE
!
    INTEGER(KIND=I4KIND), PARAMETER :: IBUFEXCH = 340800
!
    END MODULE PARMEXCH
